List all Campaigns associated with a Marketer
/marketers/{id}/campaignsNote: some campaign properties require using the Extra Field notion
Authorization
obToken Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
the id of the Marketer.
Query Parameters
filter based on autoArchived property of the campaign object.
Fetch Type is one of [basic,all]. in basic fetch mode only the campaign id and name will be retrieved. This fetch type is optimised for low response time and smaller response payload. When fetch is basic, paging is ignored.
the additional campaign fields you want to include in the response.
filter based on budget startDate property. If provided, toBudgetEndDate parameter must be provided as well.
filter based on budget endDate property. If provided, fromBudgetStartDate parameter must be provided as well.
number of Campaigns to retrieve. default is 25, maximum is 50. When fetch is basic, paging is ignored.
index of the first Campaign in the result, zero based. default is 0 When fetch is basic, paging is ignored.
filter based on campaigns that were modified in the last days.
Response Body
application/json
curl -X GET "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab0411ab/campaigns?includeArchived=true&fetch=basic&extraFields=CustomAudience%2CLocations%2CInterestsTargeting%2CBidBySections%2CBlockedSites%2CPlatformTargeting%2CCampaignOptimization%2CScheduling%2CIABCategories%2CCampaignPixels&fromBudgetStartDate=2020-10-01&toBudgetEndDate=2020-11-01&limit=10&offset=3&daysToLookBackForChanges=5"{ "count": 1, "campaigns": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Boost 'ABC' Brand", "marketerId": "00f4b02153ee75f3c9dc4fc128ab0411ab", "onAirReason": "CAMPAIGN_FLY_DATES_PAST", "enabled": true, "lastModified": "2013-04-15 14:52:13", "creationTime": "2013-01-26 21:17:11", "autoArchived": false, "currency": "USD", "cpc": 0.13, "minimumCpc": 0.13, "amountSpent": 150, "targeting": { "platform": [ "MOBILE", "DESKTOP" ], "locations": [], "operatingSystems": [ "MacOs", "Windows" ], "browsers": [ "Chrome" ] }, "feeds": [ "http://rss.cnn.com/rss/edition.rss", "http://rss.cnn.com/rss/sport.rss" ], "budget": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Boost 'ABC' Brand budget", "shared": false, "amount": 100, "currency": "USD", "amountRemaining": 100, "amountSpent": 0, "creationTime": "2013-10-16 12:24:01", "lastModified": "2013-10-16 12:24:01", "startDate": "2013-11-16", "runForever": false, "type": "CAMPAIGN", "pacing": "DAILY_TARGET", "dailyTarget": 200, "maximumAmount": 200 }, "suffixTrackingCode": "trck=12", "prefixTrackingCode": { "prefix": "http://www.marketersServer.com?redirectTo=", "encode": true }, "liveStatus": { "campaignOnAir": false, "onAirReason": "Campaign Fly Dates", "amountSpent": 523.35 } } ], "marketerBlockedSites": { "blockedPublishers": [ { "id": "00b3ab380551a6f472014ed47cd3e68268", "name": "Abc", "creationTime": "2017-12-07 09:47:56" } ], "blockedSections": [ { "id": "001b044a932722469d1e453b8415055b5a", "name": "Def", "publisher": { "id": "00b3ab380551a6f472014ed47cd3e68268", "name": "AdvertiserBlacklistReadTest-1B5Nk" }, "creationTime": "2017-12-07 09:47:57" } ] }}